%define version 20071024
%define release %mkrel 1

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:           enfle
Summary:        Simple image viewer and a movie/music player
Version:        %{version}
Release:        %{release}
Group:		Graphics
License:	GPL
URL:		http://enfle.fennel.org/index.html.en
Source0:	%{name}-%{version}.tar.bz2
Patch0:		enfle_fix_build.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Obsoletes:	%{libname}
BuildRequires:	libvorbis-devel, libalsa-devel, libavifile-devel
BuildRequires:	libogg-devel, libungif-devel, libpng-devel
BuildRequires:	libtheora-devel
Exclusivearch: %ix86

%description
Enfle is a simple image viewer and a movie/music player.

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x --sysconfdir=/etc \
	--enable-gif \
	--with-ungif \
	--enable-spi \
	--enable-asf

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove devel files
rm -f $RPM_BUILD_ROOT/%{_libdir}/enfle/plugins/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
# generate plugin cache
ENFLE_PLUGINDIR=/usr/lib/enfle/plugins/ enfle -N


%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.j ChangeLog NEWS README README.e
%{_bindir}/enfle
%{_datadir}/enfle
%{_libdir}/enfle


%changelog
* Fri May 02 2008 Funda Wang <fundawang@mandriva.org> 20071024-1mdv2009.0
+ Revision: 200066
- New version 20071024

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 20051231-3mdv2008.1
+ Revision: 170814
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 20051231-2mdv2008.1
+ Revision: 124646
- kill re-definition of %%buildroot on Pixel's request
- import enfle


* Sun May 21 2006 Götz Waschk <waschk@mandriva.org> 20051231-2mdk
- exclusivearch
- fix buildrequires

* Mon Jan 16 2006 Thierry Vignaud <tvignaud@mandriva.com> 20051231-1mdk
- clean requires
- new release (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

* Tue Dec 20 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 20050724-1mdk
- new release
- modify spec

* Sat May 01 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 20040430-2mdk
- new version

* Fri Mar 26 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 20040324-1mdk
- new version

* Mon Mar 15 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 20040315-1mdk
- new version

* Fri Mar 12 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 20040311-1mdk
- initial spec for mdk
